ByteSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.serializers

## Class ByteSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.ByteSerializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.Byte>

      public class ByteSerializer
      extends java.lang.Object
      implements TypeSerializer<java.lang.Byte>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ByteSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Byte` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.lang.Byte>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.lang.Byte value)`
    `java.lang.String` | `toString(java.lang.Byte value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final ByteSerializer instance

  - ### Constructor Detail

    - #### ByteSerializer

          public ByteSerializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.Byte deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.lang.Byte>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.lang.Byte value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.lang.Byte>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.lang.Byte>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.lang.Byte value)

      Specified by:
        `toString` in interface `TypeSerializer<java.lang.Byte>`

    - #### getType

          public java.lang.Class<java.lang.Byte> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.lang.Byte>`

Copyright © 2018 The Apache Software Foundation